Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1962269 - Review Request: rust-pancurses - Curses libary for Rust that supports both Unix and Windows
Summary: Review Request: rust-pancurses - Curses libary for Rust that supports both Un...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1961856
TreeView+ depends on / blocked
 
Reported: 2021-05-19 16:11 UTC by Davide Cavalca
Modified: 2021-08-04 22:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-04 22:45:02 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-05-19 16:11:42 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-pancurses/rust-pancurses.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-pancurses/rust-pancurses-0.16.1-1.fc35.src.rpm

Description:
Curses libary for Rust that supports both Unix and Windows platforms by
abstracting away the backend that it uses (ncurses-rs and pdcurses-sys
respectively).

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-05-19 16:11:44 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=68270549

Comment 2 Fabio Valentini 2021-05-19 20:21:29 UTC
Taking on this review request.

================================================================================

Package was generated with rust2rpm, which simplifies the review process:

- package builds and installs on rawhide without errors
- windows-specific dependencies are removed
- test suite is run and all tests pass
- latest version is packaged
- license tag matches upstream specification ("MIT") and is acceptable

There is one "cosmetic" issue: The value for the Summary tag is way too long.
Please trim it to some sensible length, something like:

Summary:        Curses libary for Rust that supports both Unix and Windows

Please fix this before importing the package to Fedora. Other than that, package is APPROVED.

================================================================================

Note 1: You might want to "normalize" the changelog date format to the format that is used by rpmdev-bumpspec (i.e. drop time and timezone) for better compatibility with older RPM versions.

Note 2: If you're going to build this package for both rawhide and F34 (I assume you do), please also make sure to submit an update for rust-ncurses-5.101.0-2 (with the added ncurses-devel Requires) to F34. Otherwise it might not build there.

Comment 3 Davide Cavalca 2021-05-19 20:24:05 UTC
Thanks!

$ fedpkg request-repo rust-pancurses 1962269
https://pagure.io/releng/fedora-scm-requests/issue/34120

Comment 4 Gwyn Ciesla 2021-05-19 20:30:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-pancurses

Comment 5 Fedora Update System 2021-05-20 20:18:15 UTC
FEDORA-2021-a113b8ea6c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a113b8ea6c

Comment 6 Fedora Update System 2021-05-21 03:41:53 UTC
FEDORA-2021-a113b8ea6c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-a113b8ea6c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a113b8ea6c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-29 01:05:25 UTC
FEDORA-2021-a113b8ea6c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.